﻿using UnityEngine;
using System.Collections;

public class LevelManager : MonoBehaviour {
	
	//This script is responsible for loading the Scenes of our game.
	//We have exposed the LoadLevel and the QuitRequest methods so they can be accessed by other scripts in our game.
	public void LoadLevel(string name) {
		//Used for debugging.
		//TODO Comment this out before production release.
		Debug.Log("Level requested: " + name); 
		
		//We use this default Unity structure to load the different Scenes in our game by their actual name.
		Application.LoadLevel (name);  
	}
	
	//We won't be using a method like this to quit our game in production, it is just used for debugging.
		public void QuitRequest() {
		//only needed for debugging.
		//TODO Comment this out before production release.
		Debug.Log("Quit requested!"); 
		
		//TODO We need to figure out a better way to handle quitting our game before production release.
		Application.Quit ();
	}
	
	//This gives us the ability to leverage the index values of our Scenes (which are shown in our Build Settings) to move forward in our Scene sequence without having to constantly call them by name.
	//It is important that the Scenes are in the proper order top to bottom starting with 0 in the Build Settings for the project.
	public void LoadNextLevel() {
				
		//We use this default Unity structure to grab the index value of our current Scene and then add the next Scene in order.
		Application.LoadLevel(Application.loadedLevel + 1);
	}
	
	//TODO We need to create a way to hide the mouse cursor as it is very annoying showing up in our game.
	//void Start() {
		/*if (name == "Level_01") {
			Screen.showCursor = false;
		}*/
	//}
}
