﻿using UnityEngine;
using System.Collections;

public class MusicPlayer : MonoBehaviour {
	static MusicPlayer instance = null;
	
	void Start () {
		//This checks to make sure no other instances of MusicPlayer are running.
		if (instance != null && instance != this) {
			//This destroy the gameObject (the MusicPlayer that tried to run) before it even gets a chance.
			Destroy (gameObject);
			print ("Duplicate music player self-destructing!");
		//If there isn't a MusicPlayer running, we set the instance that is checking to be the MusicPlayer and set it to do not destroy itself when loading between scenes.
		} else {
			instance = this;
			GameObject.DontDestroyOnLoad(gameObject);
		}
		
	}
}
